
Ruby - Bug #7504

Rdoc for OptionParser (remove "developer documentation" from Rdoc output)

12/04/2012 12:25 AM - stomar (Marcus Stollsteimer)

Status: Closed   

Priority: Normal   

Assignee: zzak (zzak _)   

Target version: 2.0.0   

ruby -v: ruby 1.9.3p194 (2012-04-20 revision

35410) [i686-linux]

Backport:  

Description

The rdoc for OptionParser starts with "developer documentation"

that's "not for RDoc output", which is a little strange.

In case this is not intentional for some reason, the patch removes

this part of the docs from the output (using #--' / #++').

Associated revisions

Revision c60e45f100f06131a6a8bd9d7d42c554c9777b1b - 12/17/2012 05:44 PM - zzak (zzak _)

lib/optparse.rb: Remove 'developer documentation' section from rdoc

Patch by Marcus Stollsteimer [ruby-core:50526][Bug #7504]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38428 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision c60e45f1 - 12/17/2012 05:44 PM - zzak (zzak _)

lib/optparse.rb: Remove 'developer documentation' section from rdoc

Patch by Marcus Stollsteimer [ruby-core:50526][Bug #7504]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38428 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/04/2012 02:57 AM - zzak (zzak _)

- Assignee set to zzak (zzak _)

- Target version set to 2.0.0

Nice catch Marcus!

#2 - 12/18/2012 02:44 AM - zzak (zzak _)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r38428.

Marcus, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/optparse.rb: Remove 'developer documentation' section from rdoc

Patch by Marcus Stollsteimer [ruby-core:50526][Bug #7504]

Files

rdoc_lib_optparse.patch 425 Bytes 12/04/2012 stomar (Marcus Stollsteimer)
